> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Email Notification : Get settings for Email notification extension.

# Email Notification Get settings

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml get /apps/{appId}/extensions/email-notification/v1/settings
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/extensions/email-notification/v1/settings:
    get:
      tags:
        - Extensions
      summary: Email Notification Get settings
      description: 'Email Notification : Get settings for Email notification extension.'
      operationId: get-settings-email-notification
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
      responses:
        '200':
          description: Get Email notification Settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/emailNotificationGetSchema'
                    type: object
                type: object
              example:
                data:
                  statusCode: 200
                  success: true
                  responseTime: 3.061743974685669
                  body:
                    data:
                      settings:
                        messageDelay: 120
                        senderEmail: mymail@example
                        senderName: John Doe
                        sendGridApiKey: key_1234
                        sendGridTemplateId: Template_1234
                        sendGridUnsubscribeGroupId: Group_1234
                        useWebhook: true
                        webhookURL: http://example.com
                        useWebhookBasicAuth: true
                        webhookUsername: username
                        webhookPassword: fgh356$123ggh**
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
  schemas:
    emailNotificationGetSchema:
      properties:
        statusCode:
          type: integer
        success:
          type: boolean
        responseTime:
          type: number
        body:
          properties:
            data:
              properties:
                settings:
                  properties:
                    sendGridApiKey:
                      description: Sendgrid API key
                      type: string
                      default: 1q6Re9CYAAfzLZyB8F4eMNX0Pslyv222
                    messageDelay:
                      description: Time Interval after which notifications will be sent
                      type: number
                      default: 120
                    senderEmail:
                      description: Sendgrid Sender Email for Notification
                      type: string
                      default: mymail@example.com
                    senderName:
                      description: Sendgrid Sender Name
                      type: string
                      default: John Doe
                    sendGridTemplateId:
                      description: Send Grid Template
                      type: string
                      default: f5c0102d
                    sendGridUnsubscribeGroupId:
                      description: Sendgrid Group Id obtained from their Dashboard
                      type: string
                      default: sendGridUnsubscribeGroupId
                    useWebhook:
                      description: Enable Webhook
                      type: boolean
                      default: false
                    webhookURL:
                      description: Webhook Url
                      type: string
                      default: https://example.com
                    useWebhookBasicAuth:
                      description: Enable Basic Authentication
                      type: boolean
                      default: false
                    webhookUsername:
                      description: Basic Authentication Username
                      type: string
                      default: username
                    webhookPassword:
                      description: Basic Authentication Password
                      type: string
                      default: f5c0102d
                    appId:
                      type: string
                  type: object
              type: object
          type: object
      type: object

````